ALERT: Some images may not load properly within the Knowledge Base Article. If you see a broken image, please right-click and select 'Open image in a new tab'. We apologize for this inconvenience.

CA Gen 8.5 to 8.6 upgrade and use of z/OS IT

book

Article ID: 228302

calendar_today

Updated On:

Products

Gen

Issue/Introduction

As part of current architecture, use Gen 8.5 z/OS Implementation Toolset (IT) to install/deploy COBOL generated Cooperative Server modules.
As part of the upgrade to 8.6, will install Gen 8.6 Developer Toolset and Encyclopedia Server (CSE).

1. In addition to the Gen 8.6 Toolset & CSE installs, does the 8.6 version of the z/OS IT also need to be installed? 

2. If do not wish to install the 8.6 z/OS IT, will the current 8.5 version of the z/OS IT be compatible with Gen 8.6 generated code?

Environment

Release : 8.6

Component : CA Gen MVS Implementation Toolset

Resolution

1. Support don't believe that using 8.6 generated code with the 8.5 z/OS IT has ever been certified.
In addition and more importantly, Gen 8.5 reached End Of Service on June 30, 2021.
Therefore irrespective of any compatibility questions of using an 8.5 z/OS IT to install and run Gen 8.6 generated code, the 8.6 z/OS IT should definitely be installed to ensure a fully supported Gen 8.6 generated code and runtime software environment is being used.
Further details of Gen 8.5 End of Service date can be found under CA Gen Release and Support Lifecycle Dates which is also accessible from the Gen Product home page here: https://support.broadcom.com/mainframe-software/product-page.html?productName=CA%20Gen

2. Gen 8.6 z/OS IT information:
a. Prerequisites:
The Gen 8.6 Technical Requirements page Development Platform Environments just lists Enterprise COBOL for Implementation Toolset - z/OS. DB2 would also be required for precompiles/binds.
Supported versions of z/OS, COBOL and DB2 are also all listed on the Technical Requirements page Third-Party Software Version. That page also references the z/OS Gen Compatibility Matrix which covers all third-party software.
b. The install and configuration steps for the z/OS Implementation Toolset (IT) can be found in the Install Gen on z/OS section of the Gen 8.6 techdocs.
The z/OS IT cannot be upgraded in place i.e. it is a straight install.
c. If not using CSM (CA Chorus Software Manager) then need to follow the steps in Acquire the Product Pax Files.
To help further, the Broadcom Support Portal specific page for the Gen 8.6 z/OS IT media is here:
https://support.broadcom.com/download-center/product-files.html?sku_code=GENITM00200&release=8.6&gen_level=0000
d. After installing the main techdocs page is z/OS Implementation Toolset
e. Another very important point:
All Gen 8.6 software on all platforms should be upgraded to Gen 8.6 complete via published PTFs after the initial install to pick up the latest features and patches. For z/OS see the page Apply Preventive Maintenance. The steps also depend on whether CSM is or is not being used.
If CSM is not being used this KB article can help: Gen PTFs already applied & PTFs needing to be applied (any OS platform)